{% macro render_field(field) %}

    <div class="control">
        {{ field.label }}

        <input class="input is-large" name="{{ field.label.text.lower() }}" placeholder="{{ field.label.text.lower() }}"
               autofocus="">
    </div>

    {% if field.errors %}
        {% for error in field.errors %}
            <p class="error">{{ error }}</p>
        {% endfor %}
    {% endif %}

{% endmacro %}


{% macro render_article_input_field(field) %}

    <div class="control">

        {{ field.label }}


        <input class="input is-large"
               value="{{field.data}}"
               name="{{ field.label.text.lower() }}"
               placeholder="{{ field.label.text.lower() }}"
               autofocus="">
    </div>

    {% if field.errors %}
        {% for error in field.errors %}
            <p class="error">{{ error }}</p>
        {% endfor %}
    {% endif %}

{% endmacro %}


{% macro render_article_textarea_field(field) %}

    <div class="control">
        {{ field.label }}

       <textarea rows="7" cols="47" name="{{ field.label.text.lower() }}" placeholder="{{ field.label.text.lower() }}">
           {{ field.data }}
       </textarea>

    </div>

    {% if field.errors %}
        {% for error in field.errors %}
            <p class="error">{{ error }}</p>
        {% endfor %}
    {% endif %}

{% endmacro %}

{% macro render_article_image_field(field) %}

    <div class="control">

        {{ field.label }}


        <input class="input is-large"
               type="file"
               value="{{field.data}}"
               name="{{ field.label.text.lower() }}"
               placeholder="{{ field.label.text.lower() }}"
               autofocus="">
    </div>

    {% if field.errors %}
        {% for error in field.errors %}
            <p class="error">{{ error }}</p>
        {% endfor %}
    {% endif %}

{% endmacro %}

{% macro render_article_image_field(field) %}

    <div class="control">

        {{ field.label }}


        <input class="input is-large"
               type="file"
               value="{{field.data}}"
               name="{{ field.label.text.lower() }}"
               placeholder="{{ field.label.text.lower() }}"
               autofocus="">
    </div>

    {% if field.errors %}
        {% for error in field.errors %}
            <p class="error">{{ error }}</p>
        {% endfor %}
    {% endif %}

{% endmacro %}
